/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.wpa.webservices.client;

import cz.cvut.kbss.wpa.webservices.model.Book;
import cz.cvut.kbss.wpa.webservices.model.User;
import java.util.Arrays;

/**
 *
 * @author marek
 */
public class TestJersey {
    
    public static void main(String[] args) {
        TestJerseyClient cl = new TestJerseyClient();
        
        // Just print the received JSON
        System.out.println("Books in JSON: "+cl.getAllBooks_JSON(String.class));
        
        // obtain a Book by specific ID
        Book b = cl.getBookById_XML(Book.class, ""+13);
        System.out.println("Book: "+b);
        
        //Retreving list of all books can be performed by obtaining an array
        Book[] books = cl.getAllBooks_JSON(Book[].class);
        System.out.println("All books: "+Arrays.asList(books));
        
        cl.deleteBook(""+13);

        books = cl.getAllBooks_JSON(Book[].class);
        System.out.println("All books after deletion: "+Arrays.asList(books));
        
        b = new Book(13, "Nahrada za knihu id=13", new User(8, "novy_uzivatel", 17));
        System.out.println("Vysledek pridani: "+cl.addBook_JSON(b));

        b = cl.getBookById_XML(Book.class, ""+13);
        System.out.println("Book after adding: "+b);
        
        b = new Book(13, "Upravena nahrada za knihu id=13", new User(7, "novy_uzivatel2", 16));
        System.out.println("Vysledek upravy: "+cl.updateBook_JSON(b, ""+13));

        b = cl.getBookById_XML(Book.class, ""+13);
        System.out.println("Book after editing: "+b);
    }
}
