/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cvut.kbss.wpa.webservices.service;

import cz.cvut.kbss.wpa.webservices.model.Book;
import java.util.List;

/**
 *
 * @author marek
 */
public interface BookServiceIface {
    
    Book getBookById(long id);
    
    List<Book> getAllBooks();

    List<Book> getBooksByTitle(String title);
    
    List<Book> getBooksByOwnerName(String name);
    
    List<Book> getBooksByOwnerAge(int min, int max);
    
    void addBook(Book book);
    
    void removeBook(long id);

    void updateBook(long id, Book book);
    
}
