<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>WPA - Web Services - Book Library</title>
        <script type="text/javascript" src="jquery-1.8.3.min.js"></script>
        <script type="text/javascript">
            jQuery.noConflict();
            function search(title) {
                jQuery.ajax('jersey/books/search/'+encodeURIComponent(title), {type: 'GET', dataType: 'json'})
                    .done(function(json) {
                        if (json.book instanceof Array) {
                            var s = '';
                            for (var i in json.book) {
                                if (s != '') {s += ', ';}
                                s += json.book[i].title;
                            }
                            alert(s);
                        } else {
                            alert(json.book.title);
                        }
                    });
            }
            function remove(id) {
                jQuery.ajax('jersey/books/'+id, {type: 'DELETE'});
            }
        </script>
    </head>
    <body>
        <form action="jersey/books" method="post">
            <h2>Add Book</h2>
            <p>
                This form adds a book using REST service (POST method).
            </p>
            <p>
                <label for="title">title</label>
                <input type="text" id="title" name="title" /><br />
                
                <label for="ownerUserName">ownerUserName</label>
                <input type="text" id="ownerUserName" name="ownerUserName" /><br />
                
                <label for="ownerAge">ownerAge</label>
                <input type="text" id="ownerAge" name="ownerAge" /><br />
                
                <input type="submit" value="add" />
            </p>
        </form>
        
        
        <h2>Searching, deleting</h2>
        <p>
            Following buttons send AJAX requests calling REST services (methods GET and DELETE):
        </p>
        <p>
            <label for="searchtitle">title</label>
            <input type="text" id="searchtitle" />
            <input type="button" value="search" onclick="search(jQuery('#searchtitle').val());" /><br />
            <label for="deleteid">book ID</label>
            <input type="text" id="deleteid" />
            <input type="button" value="delete" onclick="remove(jQuery('#deleteid').val());" /><br />
        </p>
            
    </body>
</html>
